micro_utils.dokka
0.15.1

# EitherSecond

@Serializable
data class EitherSecond<T1, T2>(val t2: T2) : Either<T1, T2>

This type Either will always have not nullable optionalT2

## Constructors

EitherSecond
Link copied to clipboard
fun <T2> EitherSecond(t2: T2)

## Properties

optionalT1
Link copied to clipboard
open override val optionalT1: Optional<T1>
optionalT2
Link copied to clipboard
open override val optionalT2: Optional<T2>
t1OrNull
Link copied to clipboard
open val t1OrNull: T1?
t2
Link copied to clipboard
val t2: T2
t2OrNull
Link copied to clipboard
open val t2OrNull: T2?

## Extensions

mapOnFirst
Link copied to clipboard
inline fun <T1, R> Either<T1, *>.mapOnFirst(block: (T1) -> R): R?
mapOnSecond
Link copied to clipboard
inline fun <T2, R> Either<*, T2>.mapOnSecond(block: (T2) -> R): R?